Affichage des résultats 1 à 4 sur 4

Discussion: Problème d’installation d’Ortho4XP sous Mac os

      
   
  1. #1
    Utilisateur enregistré Avatar de coussini
    Date d'inscription
    octobre 2015
    Localisation
    Sainte-Julie, Québec, Canada
    Âge
    61
    Messages
    63
    Total Downloaded
    0

    Problème d’installation d’Ortho4XP sous Mac os

    Bonjour à tous.

    J'ai ce problème lors de l'installation de Ortho4XP sur Mac OS High Sierra.

    J'ai suivi les directives d’Oscar le pilote du fichier Install_instructions.txt et lorsque j'exécute ./install_mac.sh j'ai ce problème.

    Pouvez-vous m'aider.

    Merci grandement.

    Code:
    iMac:Ortho4XP-master mac5$ ./install_mac.sh 
    Updating Homebrew...
    ==> Auto-updated Homebrew!
    Updated 1 tap (homebrew/core).
    ==> Updated Formulae
    ack             assimp          conan           libtensorflow   terragrunt
    ammonite-repl   bitrise         exploitdb       serverless
    
    Error: The following directories are not writable by your user:
    /usr/local/share/man/man7
    /usr/local/share/man/man8
    
    You should change the ownership of these directories to your user.
      sudo chown -R $(whoami) /usr/local/share/man/man7 /usr/local/share/man/man8
    
    And make sure that your user has write permission.
      chmod u+w /usr/local/share/man/man7 /usr/local/share/man/man8
    Requirement already satisfied: cython in /Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages (0.29.14)
    WARNING: You are using pip version 19.2.3, however version 19.3.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Collecting git+https://github.com/jswhit/pyproj.git
      Cloning https://github.com/jswhit/pyproj.git to /private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-req-build-r60yjdug
      Running command git clone -q https://github.com/jswhit/pyproj.git /private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-req-build-r60yjdug
      Installing build dependencies ... done
      Getting requirements to build wheel ... error
      ERROR: Command errored out with exit status 1:
       command: /Library/Frameworks/Python.framework/Versions/3.8/bin/python3.8 /Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py get_requires_for_build_wheel /var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/tmpd_x0dahi
           cwd: /private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-req-build-r60yjdug
      Complete output (1 lines):
      proj executable not found. Please set the PROJ_DIR variable.For more information see: https://pyproj4.github.io/pyproj/stable/installation.html
      ----------------------------------------
    ERROR: Command errored out with exit status 1: /Library/Frameworks/Python.framework/Versions/3.8/bin/python3.8 /Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages/pip/_vendor/pep517/_in_process.py get_requires_for_build_wheel /var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/tmpd_x0dahi Check the logs for full command output.
    WARNING: You are using pip version 19.2.3, however version 19.3.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    Requirement already satisfied: numpy in /Library/Frameworks/Python.framework/Versions/3.8/lib/python3.8/site-packages (1.18.1)
    Collecting shapely
      Using cached https://files.pythonhosted.org/packages/a2/fb/7a7af9ef7a35d16fa23b127abee272cfc483ca89029b73e92e93cdf36e6b/Shapely-1.6.4.post2.tar.gz
        ERROR: Command errored out with exit status 1:
         command: /Library/Frameworks/Python.framework/Versions/3.8/bin/python3.8 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/setup.py'"'"'; __file__='"'"'/private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
             cwd: /private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/
        Complete output (11 lines):
        Failed `CDLL(/Library/Frameworks/GEOS.framework/Versions/Current/GEOS)`
        Failed `CDLL(/opt/local/lib/libgeos_c.dylib)`
        Traceback (most recent call last):
          File "<string>", line 1, in <module>
          File "/private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/setup.py", line 80, in <module>
            from shapely._buildcfg import geos_version_string, geos_version, \
          File "/private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/shapely/_buildcfg.py", line 185, in <module>
            lgeos = load_dll('geos_c', fallbacks=alt_paths)
          File "/private/var/folders/pn/4hxs6lqn3zv5fytngh79tvr40000gn/T/pip-install-7f00he9_/shapely/shapely/_buildcfg.py", line 159, in load_dll
            raise OSError(
        OSError: Could not find library geos_c or load any of its variants ['/Library/Frameworks/GEOS.framework/Versions/Current/GEOS', '/opt/local/lib/libgeos_c.dylib']
        ----------------------------------------
    ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
    WARNING: You are using pip version 19.2.3, however version 19.3.1 is available.
    You should consider upgrading via the 'pip install --upgrade pip' command.
    iMac:Ortho4XP-master mac5$
    Intel Core i7-4790K 4.0GHz - ASRock Z97 EXTREME6 - 32GB Memory - Samsung 850 Pro SSD 512GB
    Western Digital Caviar Blue 1TB - EVGA GeForce GTX 1080 8GB - Asus BW-12B1ST Blu-Ray/DVD/CD
    3 Moniteurs Asus 24.0"

    Mac os x 10.13.

    Bonne journée et bon vol à tous

    Louis

  2. #2
    Utilisateur enregistré Avatar de omega003
    Date d'inscription
    décembre 2019
    Localisation
    Liège (BE)
    Âge
    53
    Messages
    150
    Total Downloaded
    0
    Etrange j'ai fai un très long post explicite en réponse et il a disparu !
    Windaubbe 7 64bits(pour x-plane), Proc/I5 2320 à 3ghz, 16G ram, GeForce GT 1030 avec 2G Vram, Ecrans calibré retouche photo et vidéo 27" UHD, ou 40" 1080p, manette x-box (pour le moment)

  3. #3
    Utilisateur enregistré Avatar de coussini
    Date d'inscription
    octobre 2015
    Localisation
    Sainte-Julie, Québec, Canada
    Âge
    61
    Messages
    63
    Total Downloaded
    0
    Citation Envoyé par omega003 Voir le message
    Etrange j'ai fai un très long post explicite en réponse et il a disparu !
    Il est ici: https://www.x-plane.fr/showthread.php?t=55404

    J'ai fait ce que tu m'a dis:

    • sudo chown -R $(whoami) /usr/local/share/man/man7 /usr/local/share/man/man8
    • chmod u+w /usr/local/share/man/man7 /usr/local/share/man/man8





    Merci... ça marche.... Super

    Amicalement. Louis
    Dernière modification par coussini ; 15/01/2020 à 15h57.
    Intel Core i7-4790K 4.0GHz - ASRock Z97 EXTREME6 - 32GB Memory - Samsung 850 Pro SSD 512GB
    Western Digital Caviar Blue 1TB - EVGA GeForce GTX 1080 8GB - Asus BW-12B1ST Blu-Ray/DVD/CD
    3 Moniteurs Asus 24.0"

    Mac os x 10.13.

    Bonne journée et bon vol à tous

    Louis

  4. #4
    Utilisateur enregistré Avatar de omega003
    Date d'inscription
    décembre 2019
    Localisation
    Liège (BE)
    Âge
    53
    Messages
    150
    Total Downloaded
    0
    Cool, content pour toi ;-)
    Windaubbe 7 64bits(pour x-plane), Proc/I5 2320 à 3ghz, 16G ram, GeForce GT 1030 avec 2G Vram, Ecrans calibré retouche photo et vidéo 27" UHD, ou 40" 1080p, manette x-box (pour le moment)

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •